Ask Your Question
0

The driver class 'org.hsqldb.jdbcDriver' could not be loaded

asked 2019-05-07 22:33:14 +0200

elle gravatar image

updated 2019-05-10 18:30:24 +0200

The rest of it is 'The additional driver class path is 'vnd.sun.star.expand:$LO_JAVA_DIR/hsqldb.jar vnd.sun.star.expand:$LO_JAVA_DIR/sdbc_hsqldb.jar''. As I'm brand new from Access, I'm completely at sea with all error messages, and I've had several. This is a downloaded database to use to get a learning experience going. But perhaps there's a different forum a rank beginner should be using. Using a Windows x64 10, LO 6.3.2.2, JRE Oracle 12.0.1. Database type is odb. I think it's embedded HSQLDB split, but I can't get at it so I can't verify it. I needed to change JRE to 64-bit. Downloaded it, but it hasn't helped. Yes I did download it, I now have both 64-bit and 32-bit JRE's, top one is selected in the Advanced option which I am assuming is the 64-bit (they are both identified by the number), but neither selection works. In all honesty, I didn't understand what LO settings I was to look for, and I didn't see anything familiar in the site you sent me or where to lool. Thanks for your patience, by the way, it must be frustrating dealing with people who don't know much!

edit retag flag offensive close merge delete

Comments

All user levels are welcome - so don't worry. Just keep in mind that this is a Q&A site and no discussion forum.

Are you using a Mac? If yes - do you have JDK installed (not JRE)? Which OS? Which LO Version. If on Windows, did you install JRE ?

Please edit your question if you are adding additional information. Do not use "Post Your Answer", if you do not answer your own question.

Opaque gravatar imageOpaque ( 2019-05-07 23:25:43 +0200 )edit

Im having the same problem on my mac, OS 10.11.6, current on all my updates, and I have installed the latest LO 6.3.2 and cannot find the problem.

I also looked for JAVA in the terminal window and it says I have the Ver 12 installed.

Any advise would be appreciated, I am new to this, and would like to figure it out.

Thank you.

TFR gravatar imageTFR ( 2019-05-09 01:07:08 +0200 )edit

On MacOS it is important to install JDK. If you install JRE from java.com it won't work, even if console tells you a version. Please check at the of FAQ. There is a link, where to get the JDK for MacOS.

Opaque gravatar imageOpaque ( 2019-05-09 09:00:08 +0200 )edit

@elle The database you are attempting to connect to also matters. Please specify.

Ratslinger gravatar imageRatslinger ( 2019-05-09 20:25:48 +0200 )edit

@elle.odb is the file extension for Base. Has nothing to do with actual database used. A database is Access, HSQLDB (embedded, server or split), Firebird (embedded, server, file), MySQL, PostgreSQL, etc.

Ratslinger gravatar imageRatslinger ( 2019-05-09 21:31:27 +0200 )edit

1 Answer

Sort by » oldest newest most voted
0

answered 2019-05-10 00:46:27 +0200

Ratslinger gravatar image

Hello,

When you open your Base file, the bottom line of the screen gives the necessary information to determine the DB used. In your case it is most likely HSQLDB embedded but still is needed. If it is Access then there are other complications.

The most likely cause of your problem is an incorrect JAVA or LO settings.

Please see the instructions on this page for JAVA -> How to install Java (JRE/JDK) so that LibreOffice could use it?.

For settings, see my answer in this post -> I have been trying to create a new database in base but it keeps telling me I have a problem with Java

edit flag offensive delete link more

Comments

@elle

You state you needed & have downloaded 64-bit JRE. Not stated - have you verified the settings? Last link in my answer. Please keep in mind, we can't see what you are looking at.

Ratslinger gravatar imageRatslinger ( 2019-05-10 04:03:15 +0200 )edit

@elle Please use add a comment under the answer you are responding to. Responding to questions asked by editing your question and adding a line at the end leaves no tracking of the sequence of events. Not even noted as an edit (see my answers in following for noted edit).

Let's try a different Base file. In my answer on this post, download this HSQLDB embedded database named ConcatFields.odb -> LibreOffice Base How can I concatenate fields using macros?. It is at the end of the answer.

In my answer on this post, download this FireBird embedded database named EFIOS courses.odb -> Report builder, sql and Firebird. It is at the end of the answer.

They should both work. If so, the sample you are trying to use is probably a HSQLDB split database which requires an entirely different set up.

Ratslinger gravatar imageRatslinger ( 2019-05-10 19:06:59 +0200 )edit

Thanks for the instructions. The Courses database worked, the other one didn't.

elle gravatar imageelle ( 2019-05-10 20:23:39 +0200 )edit

OK. The Courses DB is Firebird & doesn't need Java - Base & LO are working. The other is HSQLDB and needs Java. Now from the question it appears you have Java 12 installed. Have you shut down all of LO and started then started Base? Possibly problems with Java 12 & Windows. May want to try older version such as version 8 here -> Java Downloads. If you do this, after installed (can have many Java versions installed but won't hurt to uninstall other versions) make sure it is selected on LO Advanced dialog page.

Ratslinger gravatar imageRatslinger ( 2019-05-10 20:42:04 +0200 )edit

That did it, the database opened! Wow! Thank you for your help. I learned a lot.

elle gravatar imageelle ( 2019-05-10 22:14:23 +0200 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2019-05-07 22:33:14 +0200

Seen: 283 times

Last updated: May 10